<?php get_header(); ?>

<!-- content ................................. -->
<div id="main">

<?php if (have_posts()) : ?>

	<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
	<?php /* If this is a category archive */ if (is_category()) { ?>
	<h2>Bejegyzesek a(z) '<?php echo single_cat_title(); ?>' Kategoriaba.</h2>

	<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
	<h2>Archivum: <?php the_time('F jS, Y'); ?></h2>

	<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
	<h2>All post:<?php the_time('Y, F'); ?>.</h2>

	<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
	<h2>Archivum: <?php the_time('Y'); ?></h2>

	<?php /* If this is a search */ } elseif (is_search()) { ?>
	<h2>Search</h2>

	<?php /* If this is an author archive */ } elseif (is_author()) { ?>
	<h2>Author Archive</h2>

	<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
	<h2>Blog Archives</h2>

<?php } ?>

<br /><br /><br />

<?php while (have_posts()) : the_post(); ?>

	<?php $custom_fields = get_post_custom(); ?>

	<?php if (isset($custom_fields["BX_post_type"]) && $custom_fields["BX_post_type"][0] == "mini") { ?>

	<div class="minientry">

		<p>
		<?php echo BX_remove_p($post->post_content); ?>
		<?php comments_popup_link('(0)', '(1)', '(%)', 'commentlink', ''); ?>
		<a href="<?php the_permalink(); ?>" class="permalink" title="Permalink"><?php the_time('M j, \'y') ?><!--, <?php the_time('h:ia')  ?>--></a>
		<!--<em class="author"><?php the_author() ?></em>-->
   		<?php edit_post_link('Edit','<span class="editlink">','</span>'); ?>
   		</p>

	</div>

	<?php } else { ?>

	<div class="main">

		<h2><a href="<?php the_permalink() ?>" title="Permalink"><?php the_title(); ?></a></h2>

		<?php ($post->post_excerpt != "")? the_excerpt() : BX_shift_down_headlines($post->post_content); ?>

		<p class="info"><?php if ($post->post_excerpt != "") { ?><a href="<?php the_permalink() ?>" class="more">Continue Reading</a><?php } ?>
<p class="postmetadata">_petike | <?php the_category(', ') ?> | <?php the_time('Y F, jS') ?> |<?php edit_post_link('Szerkesztes','',' | '); ?>  <?php comments_popup_link('Szolj hozza! &#187;', '1 Hozzaszolas &#187;', '% Hozzaszolas &#187;'); ?></p
   		<!--<em class="author"><?php the_author(); ?></em>-->
   		<?php edit_post_link('Edit','<span class="editlink">','</span>'); ?>
   		</p>
		
		<div style="padding:20px 0px 0px 0px;"></div>
		
		<img src="<?php echo get_settings('home'); ?>/wp-content/themes/dark/images/posztkoz.png" alt="" />
		
		<div style="padding:20px 0px 0px 0px;"></div>


	</div>

	<?php } ?>

<?php endwhile; ?>

	<table width="100%" cellpadding="0" cellspacing="0">
		<tr>			
			<td width="120" align="left"><?php next_posts_link('Regiek') ?></td>
			<td width="60"></td>
			<td width="120" align="right"><?php previous_posts_link('Ujabbak...') ?></td>
</tr>
	</table>

<?php else : ?>

	<h2>404 - Hiba</h2>
	<p>Nincs ilyen hivatkozasi cim!</p>

<?php endif; ?>

</div> <!-- /content -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>